Page MenuHomePhabricator

Wikimedia Developer Summit 2018 Topic: Research, Analytics, and Machine Learning
Closed, ResolvedPublic

Description

Participants, please read/think about/research these, ahead of time:

  • Session description:
    • The role of research, analytics, and machine learning in the future of Wikimedia.
      • Research: the systematic investigation into and study of materials and sources in order to establish facts and reach new conclusions.
      • Analytics: the systematic computational analysis of data or statistics.
      • Machine learning: the construction of computer algorithms through implicit learning from data.
  • Session Outline:
    • ==Part 1==
      • Welcomes, outline, goals [15 mins]
        • Introductions
        • Set the Goal: The output of this session will feed into phase 2 of the 2030 Strategic Direction
        • Here is how we plan to do it:
          • Introduce our teams, the work and mandate of each team, capabilities we teams have, capabilities we're planning, and the things "we" see missing
          • Brainstorm what "you" think we should be doing
          • Break out and talk about risks, needs, opportunities, and what to avoid, stop, or re-resource
      • How do Research, Analytics, and Machine Learning relate to knowledge equity and knowledge as a service? What are some examples of features, services, processes, commitments, products, etc that further the strategic direction? Which are planned? Interactive: what other capabilities should be considered? [45 mins]
        • Aaron: Machine Learning
        • Dan: Analytics
        • Leila: Research
      • Introduce the breakout questions, ask people to go to breakout mode. [5-mins]
    • ==Part 2==
      • Breakout sessions: [30 mins]
        • What major risks do you see to our ability to provide these capabilities from the technical side, and how can they be mitigated? For existing capabilities, this includes risks to sustaining and scaling it.
        • What technological needs do you see (beyond addressing the risks) for providing the respective capabilities?
        • Which technological opportunities do you see for providing the respective capabilities? Which methods or technologies should we explore?
        • What should we avoid doing with respect to the relevant capabilities?
        • What should we stop doing with respect to the relevant capabilities?
        • What amount of resources should be committed to providing each of the capabilities? Consider horizons of 1 year, 3 years, and 5 years.
      • Reconvene and discuss, each breakout group presenting the result of their discussion as a response to the above questions [15 mins]
      • Wrap up [5 mins]

Session notes:


Discussions before and after the summit, whether or not you're attending

  • IRC: Dan is milimetric, Leila is leila, Aaron is halfak, we are all in Research
  • Google Hangout: we started a group chat with all the folks that had their statements categorized in Session 6. If you want to be invited to the Hangout, please ping any of these people
  • On this task: this will probably be the most central and persistent of our communication channels, let's use it
  • Alternatives: we are very open to something else, but keep in mind that a lot of us are travelling so whatever it is should have an app or some easy way to check from a phone, such as email

This is one of the 8 Wikimedia Developer Summit 2018 topics.


Post-event Summary:

  • ...

Action items:

  • ...

Event Timeline

Rfarrand triaged this task as Normal priority.Dec 20 2017, 12:09 AM
Rfarrand created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2017, 12:09 AM
Aklapper renamed this task from Wikimedia Developer Summit 218 Topic: Research, Analytics, and Machine Learning to Wikimedia Developer Summit 2018 Topic: Research, Analytics, and Machine Learning.Dec 20 2017, 12:11 AM
Halfak updated the task description. (Show Details)Dec 20 2017, 4:39 PM
Halfak added subscribers: Halfak, leila, Milimetric.
Halfak updated the task description. (Show Details)Dec 20 2017, 4:43 PM
debt added a subscriber: debt.Dec 20 2017, 5:09 PM
Quiddity updated the task description. (Show Details)Dec 23 2017, 12:52 AM
Lucie added a subscriber: Lucie.Jan 4 2018, 3:35 PM
leila claimed this task.Jan 6 2018, 7:15 PM

@Rfarrand Should we assume a 90-min or 3-hour session for this session? That will impact on how we organize it. :)

Tpt added a subscriber: Tpt.Jan 8 2018, 5:57 PM

@hey_ok_deb is the schedule master, however it looks like you have an hour and then a break and then another 50 min.

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2018/Program

debt removed a subscriber: hey_ok_deb.Jan 9 2018, 12:13 AM

@hey_ok_deb is the schedule master, however it looks like you have an hour and then a break and then another 50 min.
https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2018/Program

Let me know if that amount of time works for you, @leila :)

Quiddity updated the task description. (Show Details)Jan 9 2018, 9:24 PM
leila moved this task from Staged to In Progress on the Research board.Jan 10 2018, 7:46 PM

@Rfarrand @debt 60-min + 50-min should work for us. We will let you know if we see we need a longer time but given that there are other sessions happening, more time means us missing the opportunity to attend other sessions, too, which we want to try to avoid. :)

Update: We are proposing different format of the sessions at https://etherpad.wikimedia.org/p/DevSummit2018_ResearchAnalyticsMachineLearning Once we finalize the session agenda, we will post it here, ping people who had related statements for feedback, and finalize it. We are hoping that we can finalize the first draft by Monday EOD PT, maybe even earlier. :)

Quiddity updated the task description. (Show Details)Jan 17 2018, 10:25 PM
Halfak updated the task description. (Show Details)Jan 17 2018, 11:27 PM
Milimetric updated the task description. (Show Details)Jan 17 2018, 11:30 PM
Halfak updated the task description. (Show Details)Jan 17 2018, 11:31 PM
Milimetric updated the task description. (Show Details)Jan 17 2018, 11:32 PM
Halfak updated the task description. (Show Details)Jan 17 2018, 11:32 PM
Halfak added a subscriber: ArielGlenn.
Milimetric updated the task description. (Show Details)Jan 18 2018, 9:04 PM
Milimetric updated the task description. (Show Details)Jan 18 2018, 11:07 PM
Milimetric updated the task description. (Show Details)
Milimetric updated the task description. (Show Details)
Quiddity updated the task description. (Show Details)Feb 5 2018, 11:54 PM
Quiddity added a subscriber: Quiddity.

For your watchlisting/cleaning/discussion interests the etherpad notes were copied to https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2018/Research_Analytics_and_Machine_Learning

leila added a comment.Mar 28 2018, 7:40 PM

@Halfak @Milimetric As you may know, we have been asked to provide a description of what happened in this session plus anything we want affiliates to know for a presentation in WMCON about Deb Summit. I agreed to write a first draft for the two of you to review. here it is: https://etherpad.wikimedia.org/p/ZWn4q5ceHA

Please edit boldly and remember the audience is very broad in background, so we should keep it simple. If I'm saying something there too crazy, update/cut, please. Let's finalize this in 9 minutes. :D

Just finished my pass over the document @leila started. I added some notes from a photo I had an expanded the "What should affiliates know" section. @Milimetric, you're up.

leila added a comment.Mar 28 2018, 8:14 PM

Thanks both for the super fast turnaround.

I was looking for a simple heart to send to you, but I guess one big tech-barnstar counts, too. Enjoy! ;)
Macro tech-barnstar:

\o/ Good work team.

debt awarded a token.Apr 2 2018, 9:01 PM

@Milimetric @Halfak @leila Thank you for organizing your session at the 2018 Dev Summit. Please make sure to document your outcomes, next steps and link to any tasks that were created as outcomes of this session. Otherwise please resolve this and corresponding Phabricator tasks when there is nothing left to do in those tasks.

Milimetric closed this task as Resolved.Apr 20 2018, 3:32 PM

I'm going to tentatively resolve this, because I don't know of any follow-ups or tasks created as outcomes.